---
- name: Install BTRFS tools
  apt:
    name: btrfs-progs
    state: present

- name: Create mountpoint
  file:
    path: /mnt/data1
    state: directory
    mode: '0755'
    owner: debian
    group: debian

- name: Mount RAID
  mount:
    path: /mnt/data1
    src: "UUID={{ raid_uuid }}"
    fstype: btrfs
    state: mounted
